<?php
/**
 * @project Club
 * @file    wp_club_fields.php
 * @class   Fields
 * @author  Alex Borras
 * @date    1515-0101-09090909
 * Class of table wp_club_fields
 */
class Field
{
/**
 * Class Fields
*/
function Field($p_field_id = 0)
{
    $num_args = func_num_args();
	// ID value or recordset
    if ($num_args >0)
    {
    	$this->select($p_field_id);
    }
}
// Private Vars
private $field_id;
private $field_txt;
private $exits;
//**
//* Publics properties
//*
/**
* Return field_id
*
* @return bigint(20)
*/
function get_field_id()
{
	return $this->field_id;
}
/**
* Set field_id
*
* @return   void
*/
function set_field_id($p_field_id)
{
    $this->field_id=$p_field_id;
}
/**
* Return field_txt
*
* @return varchar(100)
*/
function get_field_txt()
{
	return $this->field_txt;
}
/**
* Set field_txt
*
* @return   void
*/
function set_field_txt($p_field_txt)
{
    $this->field_txt=$p_field_txt;
}
/**
* Return existe
*
* @return boolean
*/
function get_existe()
{
	return $this->existe;
}
/**
* Set existe
*
* @return   void
*/
function set_existe($p_existe)
{
    $this->existe=$p_existe;
}
//**
//* Publics Methods
//*
function select($p_field_id)
{
    // Se est pasando un recordset
	if (is_object($p_field_id) )
	{
		$this->fill_properties($p_field_id);
		return;
	}
	// Tratamiento de Acceso para cdigo numricos
	$sql = "SELECT * FROM wp_club_fields ";
	if (is_numeric($p_field_id) ) // Se est pasando el identificador
	{
		$sql.= "WHERE field_id=".$p_field_id;
	}
   global $wpdb;
   $this->exits = false;
   $rst = $wpdb->get_results($sql);
   if ( $rst ) {
      foreach( $rst as $row ) {
		   $this->exits = true;
	       $this->fill_properties($row);
      }
   }
}
function fill_properties($p_row)
	// Fill class properties
{
    $this->field_id = $p_row->field_id;
    $this->field_txt = $p_row->field_txt;
}
/**
* Method 
*
* @return   void
*/
function addnew()
	// Insert new data
{
    $sql = "INSERT INTO wp_club_fields SET ";
    $sql.= $this->fill_sql_properties();
    global $wpdb;
    $wpdb->query($sql);
}
/**
* Method 
*
* @return   void
*/
function update()
{
	// Modify data, properties must be filled
	$sql = "UPDATE wp_club_fields SET ";
	$sql.= $this->fill_sql_properties();
    $sql.= " WHERE field_id=". $this->field_id ." LIMIT 1;";
    global $wpdb;
    $wpdb->query($sql);
}
/**
* Method 
*
* @return   void
*/
function delete()
{
    // Delete data
	$sql = "DELETE FROM wp_club_fields ";
    $sql.= " WHERE field_id=". $this->field_id ." LIMIT 1;";
    global $wpdb;
    $wpdb->query($sql);
}
/**
 * Fille properties for SQL query Insert and Update
 *
 * @return   string
*/
function fill_sql_properties()
{
       $sql.= "field_txt='".$this->field_txt."',";
    $sql = substr($sql, 0, -1)." "; // del last quote
    return $sql;
}
/**
* Return Tab of data Class
*
@return   string
*/
function show($p_view = "estandar")
{
	switch ($p_view)
	{
		case "estandar":
			return $str;
			break;
	}
}
//End Class
}
?>
