<?php
/**
 * @project wp-club
 * @file    wp_club_standings.php
 * @class   Standings
 * @author  Alex Borras
 * @date    05-07-08
 * Not table class
 */

class Standings
{
/**
 * @return unknown
 * @desc Mtodo constructor de la Clase Estadistica
*/
function Standings()
{
    $this->msg_debug   = "";
    $this->sortorder          = 0;
    $this->points             = 0;
    $this->partidos_jugados   = 0;
    $this->partidos_ganados   = 0;
    $this->partidos_empatados = 0;
    $this->partidos_perdidos  = 0;
    $this->goles_favor        = 0;
    $this->goles_contra       = 0;
}
// Variables Privadas
var $sortorder;
var $points;
var $partidos_jugados;
var $partidos_ganados;
var $partidos_empatados;
var $partidos_perdidos;
var $goles_favor;
var $goles_contra;
/**
  * Propiedades pblicas de la Clase Estadistica
  */
/**
 * devuelve sortorder
 * @return byte
 */
function get_sortorder()
{
	return $this->sortorder;
}
/**
 * Establece sortorder
 * @param   int $p_value
 * @return  void
*/
function set_sortorder($p_value)
{
    $this->sortorder=$p_value;
}
/**
 * devuelve points
 * @return byte
 */
function get_points()
{
	return $this->points;
}
/**
 * Establece points
 * @param   int $p_value
 * @return  void
*/
function set_points($p_value)
{
    $this->points=$p_value;
}
/**
 * devuelve partidos_jugados
 * @return byte
 */
function get_partidos_jugados()
{
	return $this->partidos_jugados;
}
/**
 * Establece partidos_jugados
 * @param   int $p_value
 * @return  void
*/
function set_partidos_jugados($p_value)
{
    $this->partidos_jugados=$p_value;
}
/**
 * devuelve partidos_ganados
 * @return byte
 */
function get_partidos_ganados()
{
	return $this->partidos_ganados;
}
/**
 * Establece partidos_ganados
 * @param   int $p_value
 * @return  void
*/
function set_partidos_ganados($p_value)
{
    $this->partidos_ganados=$p_value;
}
/**
 * devuelve partidos_empatados
 * @return byte
 */
function get_partidos_empatados()
{
	return $this->partidos_empatados;
}
/**
 * Establece partidos_empatados
 * @param   int $p_value
 * @return  void
*/
function set_partidos_empatados($p_value)
{
    $this->partidos_empatados=$p_value;
}
/**
 * devuelve partidos_perdidos
 * @return byte
 */
function get_partidos_perdidos()
{
	return $this->partidos_perdidos;
}
/**
 * Establece partidos_perdidos
 * @param   int $p_value
 * @return  void
*/
function set_partidos_perdidos($p_value)
{
    $this->partidos_perdidos=$p_value;
}
/**
 * devuelve goles_favor
 * @return byte
 */
function get_goles_favor()
{
	return $this->goles_favor;
}
/**
 * Establece goles_favor
 * @param   int $p_value
 * @return  void
*/
function set_goles_favor($p_value)
{
    $this->goles_favor=$p_value;
}
//Final de la Clase
}
?>