<?php
	include_once("club-class-player.php");	
	include_once("club-functions.php");
function player_show($p_content){
	// Reload page controls
	$playertag = club_tag($p_content,"[player");
	if (!$playertag){
		return $p_content;
	}
	if ($playertag['fulltag'] == "[players]"){
		switch ($_REQUEST['player_op']){
			case "player_show":
				$p_content = str_replace($playertag['fulltag'], club_player_show($_REQUEST['player_id']),$p_content);
				break;
			default:
				$p_content = str_replace($playertag['fulltag'], club_players_list(),$p_content);
				break;
		}
	}else{
		$p_content = str_replace($playertag['fulltag'], club_player_show($playertag['codetag']),$p_content);
	}
	/*
	$p_content .= "<br>SERVER:";
    foreach ($_SERVER as $key => $value){
        $p_content .= "<br>$key: $value";
    }*/
	return $p_content;
}
function club_players_list(){
	$col = get_col_players(0);
	$obj = new Player();
	$content = "";
	$content.= "<h2>".count($col)." Players</h2><br>";
	if ( is_array($col) ) {
		$content.= "<table border=0 width=\"100%\">";
		foreach ( $col as $obj ){
			$url = url_base()."&player_id={$obj->get_player_id()}&player_op=player_show";
			$content.= "<tr>";
			$content.= "<td align=\"center\" valign=\"top\" width=\"120\">{$obj->get_document("picture",101,80)}</td>";
			$content.= "<td valign=\"top\"><table border=0 width=\"100%\">";
			$content.= "<tr><td><a href=\"$url\"><h3>{$obj->get_player_txt()}</h3></a></td></tr>";
			$content.= "<tr><td>{$obj->get_position_txt()}</td></tr>";
			$content.= "<tr><td>{$obj->get_team_txt()}</td></tr>";
			$content.= "</table></td>";
			$content.= "</tr>";
		}		
		$content.= "</table>";
	}
	unset($col);
	unset($obj);
	return $content;
}
function club_player_show($p_player_id){
	$content = "";
	$obj = new Player($p_player_id);
	$remarks = nl2br($obj->get_remarks());
	$birthdate = strftime("%d - %m - %Y",strtotime($obj->get_birthdate()));
	$content.= "<table border=0 width=\"100%\">";
	//
	$content.= "<tr>";
	$content.= "<td align=\"center\" valign=\"top\" width=\"120\">{$obj->get_document("picture",101,150)}</td>";
	$content.= "<td valign=\"top\"><table border=0 width=\"100%\">";
	$content.= "<tr><td><a href=\"$url\"><h3>{$obj->get_player_txt()}</h3></a></td></tr>";
	$content.= "<tr><td>{$obj->get_firstname()} {$obj->get_lastname()}</td></tr>";
	$content.= "<tr><td>{$obj->get_position_txt()}</td></tr>";
	$content.= "<tr><td>{$obj->get_team_txt()}</td></tr>";
	$content.= "<tr><td>{$obj->get_category_txt()}</tr>";	
	$content.= "</table></td>";
	$content.= "</tr>";
	//
	$content.= "<tr>";
	$content.= "<td valign=\"top\" colspan=\"2\"><table border=0 width=\"100%\">";
	$content.= "<tr><td width\"170\"><b>". __("Birthdate", CLUB)          ."</td><td>$birthdate</tr>";
	$content.= "<tr><td width\"170\"><b>". __("Birthplace", CLUB)         ."</td><td>{$obj->get_birthplace()}</tr>";
	$content.= "<tr><td width\"170\"><b>". __("Height", CLUB)             ."</td><td>{$obj->get_height()}</tr>";
	$content.= "<tr><td width\"170\"><b>". __("Weight", CLUB)             ."</td><td>{$obj->get_weight()}</tr>";
	$content.= "</table></td>";
	$content.= "</tr>";
	//
	$content.= "<tr>";
	$content.= "<td valign=\"top\" width=\"40%\"><table border=0 width=\"100%\">";
	$content.= "<tr><td width\"170\"><b>". __("Alternate position", CLUB) .":</b><br>{$obj->get_alternate_position_txt()}</td></tr>";
	$content.= "</table></td>";
	$content.= "<td valign=\"top\" align=\"center\" valign=\"top\" width=\"60%\">{$obj->get_document("position",101,150)}</td>";
	$content.= "</tr>";
	//
	$content.= "<tr>";
	$content.= "<td valign=\"top\" colspan=\"2\"><table border=0 width=\"100%\">";
	$content.= "<tr><td width\"120\"><b>". __("Remarks", CLUB)            ."</td><td>{$remarks}</tr>";
	$content.= "</table></td>";
	$content.= "</tr>";
	//
	$content.= "<tr>";
	$content.= "<td colspan=2 width\"100%\" align=\"center\" valign=\"center\">{$obj->get_video()}</tr>";
	$content.= "</tr>";
	//
	$content.= "</table>";
	return $content;
}
?>