<?php
	include_once("club-class-team.php");
	include_once("club-functions.php");
//$action     = get_option('siteurl') . '/wp-admin/admin.php?page=Club/club-teams.php';
$action_teams     = get_option('siteurl') . '/wp-admin/admin.php?page=club/club-teams.php';
$url_addnewclub = "<a href=\"$action_teams&op=form&sql=addnew\">".__('Add New')."</a>";
// La llamada a show_menu_teams() se hace en la definicn del submenu_page en club-admin.php
function show_menu_teams () { 
	switch ($_REQUEST['op'])
	{
		case 'add':
			add_team();
			list_teams();
			break;
		case 'edit':
			edit_team();
			list_teams();
			break;
		case 'delete':
			delete_team();
			list_teams();
			break;
		case 'form':
			form_teams();
			break;
		default:
			list_teams();
	}
}
function list_teams() {
	global $action_teams;
	$url_addnewclub = "<a href=\"$action_teams&op=form&sql=addnew\">".__('Add New')."</a>";
?>
<br class="clear" />
<div class="wrap">
<h2><?php _e('Manage Teams'); ?>&nbsp;(<?php echo $url_addnewclub; ?>)</h2>
<table>
	<thead>
	<tr>
        <th scope="col"><?php _e('Id',CLUB)  ?></th>
        <th scope="col"><?php _e('Team',CLUB)  ?></th>
        <th scope="col"><?php _e('Order',CLUB) ?></th>
        <th scope="col" class="num" style="width: 90px;"><?php _e('Players') ?></th>
        <th scope="col"><?php _e('Action',CLUB) ?></th>
	</tr>
	</thead>
	<tbody id="the-list" class="list:link-cat">
<?php
/*
$start = ($pagenum - 1) * $catsperpage;
$args = array('offset' => $start, 'number' => $catsperpage, 'hide_empty' => 0);
if ( !empty( $_GET['s'] ) )
	$args['search'] = $_GET['s'];
*/
$col = get_col_teams(0,"","sortorder",0,10);
$obj = new Team();
if ( is_array($col) ) {
	foreach ( $col as $obj ) {
		$url = "$action_teams&op=form&id=".$obj->get_team_id();
		$url_edit   = "<a href=\"$url&sql=edit\">  ". __('Edit',CLUB)  ."</a>";
		$url_delete = "<a href=\"$url&sql=delete\">". __('Delete',CLUB)."</a>";
		echo "<tr>
				<td><b>".$obj->get_team_id()."</td>
				<td><a href=\"$url&sql=edit\"><b>".$obj->get_team_txt()."</a></td>
				<td>".$obj->get_sortorder()."</td>
				<td></td>
				<td>$url_edit | $url_delete</td>
			  </tr>";
	}
	unset($col);
	unset($obj);
}
?>
	</tbody>
</table>
</div>
<?php	
}
function add_team() {
	global $wpdb;
	$_POST = stripslashes_deep($_POST);
	$obj = new Team();
	$obj->set_team_txt($_POST['team_txt']);
	$obj->set_sortorder($_POST['sortorder']);
	$obj->addnew();
	unset($obj);
}
function edit_team() {
	global $wpdb;
	$_POST = stripslashes_deep($_POST);
	$obj = new Team($_REQUEST['id']);
	$obj->set_team_txt($_REQUEST['team_txt']);
	$obj->set_sortorder($_REQUEST['sortorder']);
	$obj->update();
	unset($obj);
}
function delete_team() {
	global $wpdb;
	$_POST = stripslashes_deep($_POST);
	$obj = new Team($_REQUEST['id']);
	$obj->delete();
	unset($obj);
}
function form_teams() {
	global $action_teams;
	$sql = $_REQUEST['sql'];
	$obj = new Team();
	echo "<div class=\"wrap\">";
	switch ($sql) {
		case "addnew";
			echo '<h2>'. __("Add New", CLUB) .'</h2>
			<form method="post" action="'.$action_teams.'">
				<p><label for="team_txt">' . __("Name", CLUB)  . ':</label><br /><input type="text" name="team_txt"  id="team_txt"  size="50" ></p>
				<p><label for="order"   >' . __("Order", CLUB) . ':</label><br /><input type="text" name="sortorder" id="sortorder" size="2"  ></p>		
				<input type="hidden" name="op"      id="op"      value="add" />
				<p><input type="submit" value="' . __("Add New", CLUB) . '" /></p>
			</form>';
			break;	
		case "edit";
			$obj = new Team($_REQUEST['id']);
			echo '<h2>' . __("Edit", CLUB) . ' Id='.$_REQUEST['id'].'</h2>
			<form method="post" action="'.$action_teams.'">
				<p><label for="team_txt">' . __("Name", CLUB)  . ':</label><br /><input type="text" name="team_txt"  id="team_txt"  size="50" value="'.$obj->get_team_txt() .'"></p>
				<p><label for="order"   >' . __("Order", CLUB) . ':</label><br /><input type="text" name="sortorder" id="sortorder" size="2"  value="'.$obj->get_sortorder().'"></p>		
				<input type="hidden" name="op"      id="op"      value="edit" />
				<input type="hidden" name="id" id="id" value="'.$_REQUEST['id'].'" />
				<p><input type="submit" value="' . __("Edit", CLUB) . '" /></p>
			</form>';
			break;
		case "delete";
			$obj = new Team($_REQUEST['id']);
			echo '<h2>' . __("Delete", CLUB) . ' Id='.$_REQUEST['id'].'</h2>
			<form method="post" action="'.$action_teams.'">
				<p><label for="team_txt">' . __("Name", CLUB)  . ': </label>'.$obj->get_team_txt() .'</p>
				<p><label for="order"   >' . __("Order", CLUB) . ': </label>'.$obj->get_sortorder().'</p>		
				<input type="hidden" name="op"      id="op"      value="delete" />
				<input type="hidden" name="id" id="id" value="'.$_REQUEST['id'].'" />
				<p><input type="submit" value="' . __("Delete", CLUB) . '" /></p>
			</form>';
			break;
		default:
			echo '<h3>' . __("Error", CLUB) .'</h3>';
			echo _e("bad var sql", CLUB);
			break;
	}
	echo "</div>";
}
?>