<?php
	include_once("club-class-settings.php");
	include_once("club-class-match.php");
	include_once("club-class-field.php");
	include_once("club-class-competition.php");
	include_once("club-class-gameweek.php");	
	include_once("club-functions.php");
function club_show($p_content)
{
	// Register Control
	$blokqued = CLUBPATHINC.'/club.bkd';
	if (file_exists($blokqued)){
		return $p_content;
	}
	// Reload page controls
	if (isset($_REQUEST['team_id'])){ // PENDING
		$newcontent = team_show($_REQUEST['team_id']);
	}
	if (stristr( $p_content, '[clubID' )) {// add_filter controls
		$p_content = str_replace('[competitions]', club_show_teams(),$p_content);// LOOK ONLY FOR 1 CLUB
	}
	if (stristr( $p_content, '[competitions]' )) {// add_filter controls
		switch ($_REQUEST['competition_op']) {
			case "scores":
				$p_content = str_replace('[competitions]', club_competition_scores(),$p_content);
				break;
			case "matches":
				$p_content = str_replace('[competitions]', club_competition_matches(),$p_content);
				break;
			case "calendar":
				$p_content = str_replace('[competitions]', club_competition_calendar(),$p_content);
				break;
			case "roster":
				$p_content = str_replace('[competitions]', club_competition_roster(),$p_content);
				break;
			default: 
				$p_content = str_replace('[competitions]', club_competitions_list(),$p_content);
				break;
		}
	}
	if (stristr( $p_content, '[sanctions]' )) {// add_filter controls
		$p_content = str_replace('[sanctions]', club_sanctions(),$p_content);
	}
	/*
	$p_content .= "<br>SERVER:";
    foreach ($_SERVER as $key => $value){
        $p_content .= "<br>$key: $value";
    }*/
	return $p_content;
}
function club_show_teams()
{
	$col = get_col_teams(0);
	$obj = new Team();
	$content = "";
	$content.= "<b>Club (".count($col)." Teams)</b><hr><br>";
	if ( is_array($col) ) {
		$content.= "<table>";
		foreach ( $col as $obj ) {
			$url = url_base()."&team_id=".$obj->get_team_id();
			$content.= "<tr><td><a href=\"$url\"><b>".$obj->get_team_txt()."</a></td></tr>";
		}
		$content.= "</table>";
	}
	unset($col);
	unset($obj);
	return $content;
}
function team_show($p_team_id){
	$content = "";
	$obj = new Team($p_team_id);
	$content.= "<br><b>".$obj->get_team_txt()."</b>";
	return $content;
}
/**
 * Competitions Control
 *
 */
function club_competitions_list(){
	$col = get_col_competitions(0);
	$obj = new Competition();
	$content = "";
	//$content.= "<h2>". __('Competitions',CLUB)."</h2>";
	if ( is_array($col) ) {
		$content.=  "<table>";
		$content.= "
				<thead>
				<tr align=center bgcolor=\"#FF6600\">
					<th width=200>".__("Competitions",CLUB)."</th>
					<th colspan=2 align=center>".__("Data",CLUB)."</th>
				</tr>
				</thead>";
		foreach ( $col as $obj ) {
			$urlscores   = url_base()."&competition_op=scores&competition_id=".$obj->get_competition_id();
			$urlcalendar = url_base()."&competition_op=calendar&competition_id=".$obj->get_competition_id();
			$content.=  "<tr>
							<td width=\"50%\"><a href=\"$urlscores\"  ><b>".$obj->get_competition_txt()."</a></td>
							<td width=\"25%\" align=center><a href=\"$urlscores\"  ><b>".__("Scores",CLUB)."</a></td>
							<td width=\"25%\" align=center><a href=\"$urlcalendar\"><b>".__("Calendar",CLUB)."</a></td>
						</tr>";
		}
		$content.=  "</table>";
	}
	unset($col);
	unset($obj);
	return $content;
}
function club_competition_scores(){
	$pos = 0;
	$obj_settings = new Settings(0);
	$obj = new Competition($_REQUEST['competition_id']);
	$obj_team = new Team();
	$col = $obj->get_teams();
	$content.= "<h2>". $obj->get_competition_txt()." </h2>";
	$content.= '<table>';
	$content.= "
			<thead>
			<tr align=center>
				<th width=30  >".__("POS",CLUB)."</td>
				<th width=200 >".__("TEAM",CLUB)."</td>
				<th width=20  >".__("PLY",CLUB)."</td>
				<th width=20  >".__("CAL",CLUB)."</td>
				<th width=30  >".__("P",CLUB)."</td>
				<th width=30  >".__("W",CLUB)."</td>
				<th width=30  >".__("D",CLUB)."</td>
				<th width=30  >".__("L",CLUB)."</td>
				<th width=30  >".__("GF",CLUB)."</td>
				<th width=30  >".__("GA",CLUB)."</td>
				<th width=30  >".__("PTS",CLUB)."</td>
				<th width=30  >&nbsp;</td>
			</tr>
			</thead>";
	if ( is_array($col) ) {
		foreach ( $col as $obj_team ) {
			$pos++;
			$scores = $obj_team->get_scores($_REQUEST['competition_id']);
			$urlcal = url_base()."&competition_op=matches&competition_id=".$_REQUEST['competition_id']."&team_id=".$obj_team->get_team_id();
			$urlply = url_base()."&competition_op=roster&"."&team_id=".$obj_team->get_team_id();
			$up_down = "";
			if ($pos <= $obj->get_teams_up()){
				$up_down = "<img src=\"".CLUBTEAMUP."\">";
			}
			if ($pos >= (count($col) - $obj->get_teams_down() + 1 )){
				$up_down = "<img src=\"".CLUBTEAMDOWN."\">";
			}			
			$content.= "<tr>
					<td width=30  align=center style=\"font-family: Arial; font-size: 11px; color: #FFFFFF; background-color: #CCCCCC; font-weight:bold\">$pos</td>
					<td width=200 align=left   style=\"padding: 5px\"><a href='$urlcal'>".$obj_team->get_team_txt()."</a></td>
					<td width=20  align=center><a href=\"$urlply\"><img src=\"".CLUBICONPLAYER."\"></a></td>
					<td width=20  align=center><a href=\"$urlcal\"><img src=\"".CLUBCALENDARPLAYER."\"></a></td>
					<td width=30  align=center>".$scores['games_played']."</td>
					<td width=30  align=center>".$scores['games_won']."</td>
					<td width=30  align=center>".$scores['games_drawn']."</td>
					<td width=30  align=center>".$scores['games_lost']."</td>
					<td width=30  align=center>".$scores['goals_for']."</td>
					<td width=30  align=center>".$scores['goals_against']."</td>
					<td width=30  align=center>".$scores['points']."</td>
					<td width=30  align=center>$up_down</td>
				  </tr>";
		}
	}
	$content.= "</table>";
	unset($obj);
	return $content;
}

function club_competition_calendar()
{
	$pos = 0;
	$obj_settings = new Settings(0);
	$obj = new Competition($_REQUEST['competition_id']);
	$obj_gameweek = new Gameweek();
	$obj_match = new Match();
	$col = $obj->get_gameweeks();
	$col_matches = array();
	$content.= "<h2>". $obj->get_competition_txt()." </h2>";
	$rowbackcolor = "#D3D3D3";
	if ( is_array($col) ) {
		foreach ( $col as $obj_gameweek ) {
			$content.= '<table>';
			$content.= "<tr><td colspan=5><h3>".__("GAMEWEEK",CLUB)." ".$obj_gameweek->get_gameweek()."</h3></td></tr>";
			$content.= "
					<thead>
					<tr align=center bgcolor=\"#FF6600\">
						<th width=100 align=center>".__("DATE",CLUB)     ."</td>
						<th width=200 align=center >".__("TEAM_HOME",CLUB)."</td>
						<th width=30  align=center>".__("RESULT",CLUB)   ."</td>
						<th width=200 align=center>".__("TEAM_AWAY",CLUB)."</td>
						<th width=150 align=center>".__("FIELD",CLUB)."</td>
					</tr>
					</thead>";
			$col_matches = $obj_gameweek->get_matches();
			foreach ( $col_matches as $obj_match ) {				
				if ($rowbackcolor == "#D3D3D3"){
					$rowbackcolor = "#FFFFFF";
				} else {
					$rowbackcolor = "#D3D3D3";
				}
				$content.= "<tr bgcolor=\"$rowbackcolor\">
						<td width=100 align=center>".$obj_match->get_match_date()."</td>
						<td width=200 align=right ><a href='$url_home'>".$obj_match->get_team_home()->get_team_txt()."</a></td>
						<td width=50  align=center>".$obj_match->get_result()."</a></td>
						<td width=200 align=left  ><a href='$url_away'>".$obj_match->get_team_away()->get_team_txt()."</a></td>
						<td width=150 align=left  >".$obj_match->get_field()->get_field_txt()."</td>
					  </tr>";
			}
		}
	}
	$content.= "</table>";
	unset($obj);
	unset($obj_gameweek);
	unset($obj_match);
	return $content;
}
/**
 * List matches by Team
 *
 * @return unknown
 */
function club_competition_matches()
{
	$pos = 0;
	$obj = new Team($_REQUEST['team_id']);
	$obj_match = new Match();
	$col = $obj->get_matches($_REQUEST['competition_id']);
	$content = "";
	$content.= "<h2>". $obj->get_team_txt()." </h2>";
	$content.= '<table>';
	$content.= "
			<thead>
			<tr align=center bgcolor=\"#FF6600\">
				<th width=30  align=center>".__("GAMEWEEK",CLUB)."</td>
				<th width=100 align=center>".__("DATE",CLUB)."</td>
				<th width=200 align=center>".__("TEAM_HOME",CLUB)."</td>
				<th width=30  align=center>".__("RESULT",CLUB)."</td>
				<th width=200 align=center>".__("TEAM_AWAY",CLUB)."</td>
			</tr>
			</thead>";
	if ( is_array($col) ) {
		foreach ( $col as $obj_match ) {
			$pos++;
			if ($rowbackcolor == "#D3D3D3"){
				$rowbackcolor = "#FFFFFF";
			} else {
				$rowbackcolor = "#D3D3D3";
			}
			$url_home = url_base()."&competition_op=matches&competition_id=".$_REQUEST['competition_id']."&team_id=".$obj_match->get_team_home_id();
			$url_away = url_base()."&competition_op=matches&competition_id=".$_REQUEST['competition_id']."&team_id=".$obj_match->get_team_away_id();
			$content.= "<tr bgcolor=\"$rowbackcolor\">
					<td width=100 align=center>".$obj_match->get_gameweek()."</td>
					<td width=100 align=center>".$obj_match->get_match_date()."</td>
					<td width=200 align=right ><a href='$url_home'>".$obj_match->get_team_home()->get_team_txt()."</a></td>
					<td width=50  align=center>".$obj_match->get_result()."</a></td>
					<td width=200 align=left  ><a href='$url_away'>".$obj_match->get_team_away()->get_team_txt()."</a></td>
				  </tr>";
		}
	}
	$content.= "</table>";
	unset($obj);
	return $content;
}
/**
 * List matches by Team
 *
 * @return unknown
 */
function club_competition_roster()
{
	$obj_settings = new Settings(0);
	$pos = 0;
	$obj_player = new Player();
	$obj = new Team($_REQUEST['team_id']);
	$col = $obj->get_players();
	$content = "";
	$content.= "<h2>". $obj->get_team_txt()." </h2>";
	$content.= "<table>";
	$content.= "
			<thead>
			<tr>
				<th width=30 >".__("N.",CLUB)  ."</td>
				<th width=200>".__("Name",CLUB)."</td>
			</tr>
			</thead>";
	if ( is_array($col) ) {
		foreach ( $col as $obj_player ) {
			$pos++;
			//$url = url_base()."&competition_op=matches&competition_id=".$_REQUEST['competition_id']."&team_id=".$obj_match->get_team_home_id();
			$url = "";
			$player = "<a href='$url'>".$obj_player->get_player_txt()."</a>";
			$player = $obj_player->get_player_txt();
			$content.= "<tr>
					<td width=20  align=\"center\">{$obj_player->get_number()}</td>
					<td width=200 align=\"left\" >$player</td>
				  </tr>";
		}
	}
	$content.= "</table>";
	unset($obj);
	return $content;
}
/**
 * Competitions Control
 *
 */
function club_sanctions(){
	$col = get_col_players_sanctions();
	$obj = new Player();
	$content = "";
	$content.= "<h2>". __('Sanctions',CLUB)."</h2>";
	if ( is_array($col) ) {
		$content.=  "<table>";
		$content.= "
				<thead>
				<tr align=center bgcolor=\"#FF6600\">
					<th width=200>".__("PLAYER",CLUB)."</td>
					<th width=200>".__("TEAM",CLUB)."</td>
					<th width=30 >".__("MATCHES SANCTION",CLUB)."</td>
					<th width=30 >".__("MATCHES REMAINING",CLUB)."</td>
				</tr>
				</thead>";
		foreach ( $col as $obj ) {
			$content.=  "<tr>
					<td width=200>{$obj->get_player_txt()}</td>
					<td width=200>{$obj->get_team()->get_team_txt()}</td>
					<td width=30 >{$obj->get_matches_sanction()}</td>
					<td width=30 >{$obj->get_matches_remaining()}</td>
						</tr>";
		}
		$content.=  "</table>";
	}
	unset($col);
	unset($obj);
	return $content;
}
?>