<?php
	include_once("club-class-settings.php");
	include_once("club-functions.php");
$action_settings = get_option('siteurl') . '/wp-admin/admin.php?page=club/club-settings.php';
function show_club_settings () {
	global $action_settings;
	switch ($_REQUEST['op'])
	{
		case 'edit':
			club_edit_settings();
			break;
		case 'upgrade':
			club_upgrade_settings();
			break;
		case 'form':
			club_form_settings();
			break;
		default:
			club_form_settings();
	}	
}
function club_edit_settings() {
	$_POST = stripslashes_deep($_POST);
	// save Settings
	$obj = new Settings(0);
	$obj->set_delete_tables_uninstall(intval($_POST['delete_tables_uninstall']));
	$obj->set_table_header_style(trim((string)$_POST["table_header_style"]));
	$obj->update();
	// Udate options
	$club_options['delete_tables_uninstall'] = $obj->get_delete_tables_uninstall();
	$club_options['table_header_style']      = $obj->get_table_header_style();
	// End
	unset($obj);
	_e("Data updated",CLUB);
}
function club_upgrade_settings() {
	global $wpdb;
	// Table club_players
	$sql = "ALTER TABLE wp_club_players ADD matches_sanction  int(4) NOT NULL ;";
	$wpdb->query($sql);
	$sql = "ALTER TABLE wp_club_players ADD matches_remaining int(4) NOT NULL ;";
	$wpdb->query($sql);
	// Table club_competitions
	$sql = "ALTER TABLE wp_club_competitions ADD teams_up   int(3) NOT NULL ;";
	$wpdb->query($sql);
	$sql = "ALTER TABLE wp_club_competitions ADD teams_down int(3) NOT NULL ;";
	$wpdb->query($sql);
	// Table club_settings
	$sql = "ALTER TABLE wp_club_settings ADD table_header_style VARCHAR(255) NOT NULL ;";
	$wpdb->query($sql);
	// Update Data value
	$obj = new Settings(0);
	if ($obj->get_table_header_style() == ""){
		$obj->set_table_header_style("font-family: Arial; font-size: 10pt; color: #FFFFFF; background-color: #000000");
		$obj->update();
	}
	unset($obj);
	_e("Tables upgraded",CLUB);
}
function club_form_settings() {
	global $action_settings;
	$sql = $_REQUEST['sql'];
	$obj = new Team();
	echo "<div class=\"wrap\">";
	switch ($sql) {
		default:
			$obj = new Settings(0);
			if (intval($obj->get_delete_tables_uninstall()) == 1) {$chk_dtu =  "checked";}
			echo '<h2>' . __("Edit", CLUB) . '</h2>
			<form method="post" action="'.$action_settings.'">
				<p><label for="delete_tables_uninstall">' . __("Delete tables at uninstall", CLUB) . ':</label><br /><input type="checkbox" name="delete_tables_uninstall" id="delete_tables_uninstall" value="1" '.$chk_dtu.'></p>
				<p><label for="table_header_style">'      . __("Table Header Style", CLUB)         . ':</label><br /><input type="text"     name="table_header_style"      id="table_header_style"      value="'.$obj->get_table_header_style().'" size=30"></p>
				<input type="hidden" name="op"      id="op"      value="edit" />
				<input type="hidden" name="id" id="id" value="0" />
				<p><input type="submit" value="' . __("Edit", CLUB) . '" /></p>
			</form>';
			echo "<hr>";
			echo '<h2>' . __("Upgrade Tables", CLUB) . '</h2>
			<form method="post" action="'.$action_settings.'">
				<input type="hidden" name="op" id="op"   value="upgrade" />
				<input type="hidden" name="id" id="id"   value="0" />
				<p><input type="submit" value="' . __("Upgrade", CLUB) . '" /></p>
			</form>';		
			break;
	}
	echo "</div>";
}
?>